Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6980447

Rhino JavaScript engine code in jdk-7 has to updated with the latest code from Rhino 1.7R3

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 6, 7
    • Fix Version/s: 7
    • Component/s: core-libs
    • Labels:
    • Subcomponent:
    • Resolved In Build:
      b126
    • CPU:
      generic, x86
    • OS:
      generic, windows_vista
    • Verification:
      Verified

      Description

      As a reference jsr-223 script engine, javascript engine based on Mozilla Rhino was added to JDK 6. We used the then current Rhino code (version 1.6R2) implementing JavaScript 1.6 in JDK 6. In the mean time, Rhino code has evolved to version 1.7R3 and now supports JavaScript version 1.8.

      We need to update Rhino code in JDK 7 with the code from the latest 1.7R3 version. This is needed because

      (a) Rhino now supports JavaScript 1.8
      (b) Rhino supports parts of ECMAScript 5 specification

      Also, in JDK 6 we had excluded the optional E4X (XML support for javascript - ECMAScript standard ECMA-357). This is because of dependency on Apache XML beans (footprint and security concerns). The 1.7R3 version of Rhino supports E4X using DOM 3 without depending on anything else. So, we may want to support E4X in JDK 7.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                sundar Sundararajan Athijegannathan
                Reporter:
                sundar Sundararajan Athijegannathan
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Imported:
                  Indexed: